using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using System.Linq;

namespace script
{
    public class script
    {
        

        public static void Main()
        {

            ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Rod"),
      NameOverride = "Death Note",
      DescriptionOverride = "Kills random human on activation",
      CategoryOverride = ModAPI.FindCategory("Melee"),
      ThumbnailOverride = ModAPI.LoadSprite("itemthumb.png"),
      AfterSpawn = (Instance) =>

      {



          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("deathnote.png");
          Instance.FixColliders();
          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.2f;
          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.2f;
          Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.2f;
          Instance.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Soft");
          Instance.AddComponent<UseEventTrigger>().Action = () => KillRandomPerson();
          
              
          
         
      }
  }
);


        }
        public static void KillRandomPerson()
        {
            PersonBehaviour[] allPersons = UnityEngine.Object.FindObjectsOfType<PersonBehaviour>().Where((person) => person.Limbs[0].Health > 0).ToArray();
            if (allPersons.Length > 0) allPersons[UnityEngine.Random.Range(0, allPersons.Length)].Limbs[0].Health = 0;
        }
    }
    
}
